## robin-map 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(tsl_robin_map VERSION 0.5.0)

add_library(robin_map INTERFACE)
# Use tsl::robin_map as target, more consistent with other libraries conventions (Boost, Qt, ...)
add_library(tsl::robin_map ALIAS robin_map)

target_include_directories(robin_map INTERFACE
                           $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
                           $<INSTALL_INTERFACE:include>)

target_sources(robin_map INTERFACE 
               $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_growth_policy.h
                                 ${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_hash.h
                                 ${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_map.h
                                 ${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_set.h>)

if(MSVC)
    target_sources(robin_map INTERFACE
                   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tsl_robin_map.natvis>
                   $<INSTALL_INTERFACE:tsl_robin_map.natvis>)
endif()

# Only compatible with CMake version >= 3.8
if(${CMAKE_VERSION} VERSION_GREATER "3.7")
    target_compile_features(robin_map INTERFACE cxx_std_11)
endif()




# Installation (only compatible with CMake version >= 3.3)
if(${CMAKE_VERSION} VERSION_GREATER "3.2")
    include(CMakePackageConfigHelpers)
    include(GNUInstallDirs)

    ## Install include directory
    install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/include/tsl
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})



    ## Create and install tsl_robin_mapConfig.cmake
    configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/tsl_robin_mapConfig.cmake.in
                                  ${CMAKE_CURRENT_BINARY_DIR}/tsl_robin_mapConfig.cmake
                                  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tsl_robin_map)

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tsl_robin_mapConfig.cmake
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tsl_robin_map)

            

    ## Create and install tsl_robin_mapTargets.cmake
    install(TARGETS robin_map
            EXPORT tsl_robin_mapTargets)
            
    install(EXPORT tsl_robin_mapTargets
            NAMESPACE tsl::
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tsl_robin_map)

            

    ## Create and install tsl_robin_mapConfigVersion.cmake
    # tsl_robin_map is header-only and does not depend on the architecture.
    # Remove CMAKE_SIZEOF_VOID_P from tsl_robin_mapConfigVersion.cmake so that a
    # tsl_robin_mapConfig.cmake generated for a 64 bit target can be used for 32 bit
    # targets and vice versa.
    set(TSL_ROBIN_MAP_CMAKE_SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P})
    unset(CMAKE_SIZEOF_VOID_P)
    write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/tsl_robin_mapConfigVersion.cmake
                                    COMPATIBILITY SameMajorVersion)
    set(CMAKE_SIZEOF_VOID_P ${TSL_ROBIN_MAP_CMAKE_SIZEOF_VOID_P})

    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/tsl_robin_mapConfigVersion.cmake
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tsl_robin_map)
endif()

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(tsl_robin_map_tests)

add_executable(tsl_robin_map_tests "main.cpp" 
                                   "custom_allocator_tests.cpp"
                                   "policy_tests.cpp"
                                   "robin_map_tests.cpp" 
                                   "robin_set_tests.cpp")                                     
                                    
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(tsl_robin_map_tests PRIVATE -std=c++11 -Werror -Wall -Wextra -Wold-style-cast -O3 -DTSL_DEBUG)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
    target_compile_options(tsl_robin_map_tests PRIVATE /bigobj /WX /W3 /DTSL_DEBUG)
endif()

# Boost::unit_test_framework
find_package(Boost 1.54.0 REQUIRED COMPONENTS unit_test_framework)
target_link_libraries(tsl_robin_map_tests PRIVATE Boost::unit_test_framework)   

# tsl::robin_map
add_subdirectory(../ ${CMAKE_CURRENT_BINARY_DIR}/tsl)
target_link_libraries(tsl_robin_map_tests PRIVATE tsl::robin_map)

=== debian/changelog ===
robin-map (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #916311)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 12 Dec 2018 22:37:12 +0100

=== debian/control ===
Source: robin-map
Section: libs
Priority: optional
Maintainer: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 11~)
Standards-Version: 4.2.1
Homepage: https://github.com/Tessil/robin-map
Vcs-Git: https://salsa.debian.org/debian/robin-map.git
Vcs-Browser: https://salsa.debian.org/debian/robin-map

Package: robin-map-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: C++ implementation of a fast hash map and hash set
 The robin-map library is a C++ implementation of a fast hash map and
 hash set using open-addressing and linear robin hood hashing with
 backward shift deletion to resolve collisions.
 .
 Four classes are provided: tsl::robin_map, tsl::robin_set,
 tsl::robin_pg_map and  tsl::robin_pg_set.
 The first two are faster and use a power of two growth policy,
 the last two use a prime growth policy instead and are able to cope
 better with a poor hash function.
 Use the prime version if there is a chance of repeating patterns in
 the lower bits of your hash (e.g. you are storing pointers with an
 identity hash function).

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/Tessil/robin-map/tags .*/(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))

## robin-map 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
include(GNUInstallDirs)


project(tsl-robin-map VERSION 0.6.2)

add_library(robin_map INTERFACE)
# Use tsl::robin_map as target, more consistent with other libraries conventions (Boost, Qt, ...)
add_library(tsl::robin_map ALIAS robin_map)

target_include_directories(robin_map INTERFACE
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
                           "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")

list(APPEND headers "${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_growth_policy.h"
                    "${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_hash.h"
                    "${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_map.h"
                    "${CMAKE_CURRENT_SOURCE_DIR}/include/tsl/robin_set.h")
target_sources(robin_map INTERFACE "$<BUILD_INTERFACE:${headers}>")

if(MSVC)
    target_sources(robin_map INTERFACE
                   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/tsl-robin-map.natvis>"
                   "$<INSTALL_INTERFACE:${CMAKE_INSTALL_DATAROOTDIR}/tsl-robin-map.natvis>")
endif()




# Installation (only compatible with CMake version >= 3.3)
if(${CMAKE_VERSION} VERSION_GREATER "3.2")
    include(CMakePackageConfigHelpers)

    ## Install include directory and potential natvis file
    install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/tsl"
            DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

    if(MSVC)
        install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/tsl-robin-map.natvis"
                DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}")
    endif()



    ## Create and install tsl-robin-mapConfig.cmake
    configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/tsl-robin-mapConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/tsl-robin-mapConfig.cmake"
                                  INSTALL_DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/tsl-robin-map")

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tsl-robin-mapConfig.cmake"
            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/tsl-robin-map")



    ## Create and install tsl-robin-mapTargets.cmake
    install(TARGETS robin_map
            EXPORT tsl-robin-mapTargets)

    install(EXPORT tsl-robin-mapTargets
            NAMESPACE tsl::
            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/tsl-robin-map")



    ## Create and install tsl-robin-mapConfigVersion.cmake
    # tsl-robin-map is header-only and does not depend on the architecture.
    # Remove CMAKE_SIZEOF_VOID_P from tsl-robin-mapConfigVersion.cmake so that a
    # tsl-robin-mapConfig.cmake generated for a 64 bit target can be used for 32 bit
    # targets and vice versa.
    set(CMAKE_SIZEOF_VOID_P_BACKUP ${CMAKE_SIZEOF_VOID_P})
    unset(CMAKE_SIZEOF_VOID_P)
    write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/tsl-robin-mapConfigVersion.cmake"
                                     COMPATIBILITY SameMajorVersion)
    set(CMAKE_SIZEOF_VOID_P ${CMAKE_SIZEOF_VOID_P_BACKUP})

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tsl-robin-mapConfigVersion.cmake"
            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/tsl-robin-map")
endif()

=== debian/changelog ===
robin-map (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: fix URL for upstream tarballs
  * debian/: debhelper bump 11 -> 12
  * debian/control:
    - S-V bump 4.2.1 -> 4.4.1 (no changes needed)
    - RRR set

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 23 Jan 2020 10:02:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 11~)
-Standards-Version: 4.2.1
+ debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git
 Vcs-Browser: https://salsa.debian.org/debian/robin-map

## robin-map 0.6.3

=== debian/changelog ===
robin-map (0.6.3-1) UNRELEASED; urgency=medium

  * update

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 May 2022 17:48:48 +0800

robin-map (0.6.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.4.1 -> 4.5.0
  * debian/robin-map-dev.install: usr/share dir added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 24 Jul 2020 23:54:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12)
-Standards-Version: 4.4.1
+ debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git

## robin-map 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 cmake_minimum_required(VERSION 3.1)
+
+project(tsl-robin-map VERSION 1.0.1 LANGUAGES CXX)
+
 include(GNUInstallDirs)
 
-
-project(tsl-robin-map VERSION 0.6.2)
 
 add_library(robin_map INTERFACE)
 # Use tsl::robin_map as target, more consistent with other libraries conventions (Boost, Qt, ...)
@@ -51,8 +52,10 @@
             DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/cmake/tsl-robin-map")
 
 
+    ## Create local tsl-robin-mapTargets.cmake
+    export(TARGETS robin_map NAMESPACE tsl:: FILE "${CMAKE_CURRENT_BINARY_DIR}/tsl-robin-mapTargets.cmake")
 
-    ## Create and install tsl-robin-mapTargets.cmake
+    ## Create and install global tsl-robin-mapTargets.cmake
     install(TARGETS robin_map
             EXPORT tsl-robin-mapTargets)

=== debian/changelog ===
robin-map (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.6.0 (no changes needed)
  * debian/copyright: extend copyright timestamp

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Apr 2022 23:15:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git

## robin-map 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1)
 
-project(tsl-robin-map VERSION 1.0.1 LANGUAGES CXX)
+project(tsl-robin-map VERSION 1.2.1 LANGUAGES CXX)
 
 include(GNUInstallDirs)
 
@@ -28,8 +28,13 @@
 
 
 
+set(IS_SUBPROJECT TRUE)
+if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
+  set(IS_SUBPROJECT FALSE)
+endif()
+
 # Installation (only compatible with CMake version >= 3.3)
-if(${CMAKE_VERSION} VERSION_GREATER "3.2")
+if(NOT IS_SUBPROJECT AND ${CMAKE_VERSION} VERSION_GREATER "3.2")
     include(CMakePackageConfigHelpers)
 
     ## Install include directory and potential natvis file

=== debian/changelog ===
robin-map (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.0 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 18:58:19 +0100

robin-map (0.6.3-2) UNRELEASED; urgency=low

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 25 Jul 2020 03:57:47 -0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git

## robin-map 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.3)
 
-project(tsl-robin-map VERSION 1.2.1 LANGUAGES CXX)
+project(tsl-robin-map VERSION 1.3.0 LANGUAGES CXX)
 
 include(GNUInstallDirs)
 
@@ -33,8 +33,8 @@
   set(IS_SUBPROJECT FALSE)
 endif()
 
-# Installation (only compatible with CMake version >= 3.3)
-if(NOT IS_SUBPROJECT AND ${CMAKE_VERSION} VERSION_GREATER "3.2")
+# Installation
+if(NOT IS_SUBPROJECT)
     include(CMakePackageConfigHelpers)
 
     ## Install include directory and potential natvis file

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(tsl_robin_map_tests)

add_executable(tsl_robin_map_tests "main.cpp" 
                                   "custom_allocator_tests.cpp"
                                   "policy_tests.cpp"
                                   "robin_map_tests.cpp" 
                                   "robin_set_tests.cpp")

target_compile_features(tsl_robin_map_tests PRIVATE cxx_std_11)
                                    
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
    target_compile_options(tsl_robin_map_tests PRIVATE -Werror -Wall -Wextra -Wold-style-cast -DTSL_DEBUG -UNDEBUG)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
    target_compile_options(tsl_robin_map_tests PRIVATE /bigobj /WX /W3 /DTSL_DEBUG /UNDEBUG)
endif()

# Boost::unit_test_framework
set(Boost_USE_STATIC_LIBS ON)
find_package(Boost 1.54.0 REQUIRED COMPONENTS unit_test_framework)
target_link_libraries(tsl_robin_map_tests PRIVATE Boost::unit_test_framework)   

# tsl::robin_map
add_subdirectory(../ ${CMAKE_CURRENT_BINARY_DIR}/tsl)
target_link_libraries(tsl_robin_map_tests PRIVATE tsl::robin_map)

=== debian/changelog ===
robin-map (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.6.2 -> 4.7.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 24 Apr 2024 21:00:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git

## robin-map 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,17 @@
-cmake_minimum_required(VERSION 3.3)
+cmake_minimum_required(VERSION 3.5)
 
-project(tsl-robin-map VERSION 1.3.0 LANGUAGES CXX)
+project(tsl-robin-map VERSION 1.4.0 LANGUAGES CXX)
 
 include(GNUInstallDirs)
+
+
+set(IS_MAIN_PROJECT FALSE)
+if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
+  set(IS_MAIN_PROJECT TRUE)
+endif()
+
+# Enable the install target if the project is used main project (disable by default if subproject)
+option(TSL_ROBIN_MAP_ENABLE_INSTALL "Enable install target" ${IS_MAIN_PROJECT})
 
 
 add_library(robin_map INTERFACE)
@@ -25,16 +34,8 @@
                    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_DATAROOTDIR}/tsl-robin-map.natvis>")
 endif()
 
-
-
-
-set(IS_SUBPROJECT TRUE)
-if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
-  set(IS_SUBPROJECT FALSE)
-endif()
-
 # Installation
-if(NOT IS_SUBPROJECT)
+if(TSL_ROBIN_MAP_ENABLE_INSTALL)
     include(CMakePackageConfigHelpers)
 
     ## Install include directory and potential natvis file

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
                                    "robin_map_tests.cpp" 
                                    "robin_set_tests.cpp")
 
-target_compile_features(tsl_robin_map_tests PRIVATE cxx_std_11)
+target_compile_features(tsl_robin_map_tests PRIVATE cxx_std_17)
                                     
 if(CMAKE_CXX_COMPILER_ID MATCHES "Clang" OR CMAKE_CXX_COMPILER_ID MATCHES "GNU")
     target_compile_options(tsl_robin_map_tests PRIVATE -Werror -Wall -Wextra -Wold-style-cast -DTSL_DEBUG -UNDEBUG)
@@ -18,7 +18,7 @@
 
 # Boost::unit_test_framework
 set(Boost_USE_STATIC_LIBS ON)
-find_package(Boost 1.54.0 REQUIRED COMPONENTS unit_test_framework)
+find_package(Boost REQUIRED COMPONENTS unit_test_framework)
 target_link_libraries(tsl_robin_map_tests PRIVATE Boost::unit_test_framework)   
 
 # tsl::robin_map

=== debian/changelog ===
robin-map (1.4.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #1113470)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 19 Oct 2025 09:38:15 +0200

robin-map (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.7.0 -> 4.7.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 19 Jul 2025 14:48:58 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

INSTDIR=debian/tmp

export DEB_LDFLAGS_MAINT_APPEND := -latomic

%:
	dh $@ --buildsystem=cmake \
		--builddirectory=build

override_dh_auto_install:
	dh_auto_install \
		--buildsystem=cmake \
		--destdir=$(INSTDIR)

#override_dh_auto_test:
#

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg.*//, \
repack, \
repacksuffix=+dfsg" \
https://github.com/Tessil/robin-map/tags .*/v(\d.*[^dev])\.(?:tgz|tar\.(?:gz|bz2|xz))

## robin-map 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 
-project(tsl-robin-map VERSION 1.4.0 LANGUAGES CXX)
+project(tsl-robin-map VERSION 1.4.1 LANGUAGES CXX)
 
 include(GNUInstallDirs)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.8)
+cmake_minimum_required(VERSION 3.10)
 
 project(tsl_robin_map_tests)

=== debian/changelog ===
robin-map (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 16 Nov 2025 19:09:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/Tessil/robin-map
 Vcs-Git: https://salsa.debian.org/debian/robin-map.git
 Vcs-Browser: https://salsa.debian.org/debian/robin-map

=== debian/watch ===
Version: 5
Template: Github
Owner: Tessil
Project: robin-map
